---
name: v.build.all.py
description: Rebuilds topology on all vector maps in the current mapset.
keywords: [ vector, topology ]
---

# v.build.all.py

Rebuilds topology on all vector maps in the current mapset.

=== "Command line"

    **v.build.all.py**
    [**--verbose**]
    [**--quiet**]
    [**--qq**]
    [**--ui**]

    Example:

    ```sh
    v.build.all.py
    ```

=== "Python (grass.script)"

    *grass.script.run_command*("***v.build.all.py***",
        **verbose**=*False*,
        **quiet**=*False*,
        **superquiet**=*False*)

    Example:

    ```python
    gs.run_command("v.build.all.py")
    ```

## Parameters

=== "Command line"

    **--help**  
    &nbsp;&nbsp;&nbsp;&nbsp;Print usage summary  
    **--verbose**  
    &nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
    **--quiet**  
    &nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
    **--qq**  
    &nbsp;&nbsp;&nbsp;&nbsp;Very quiet module output  
    **--ui**  
    &nbsp;&nbsp;&nbsp;&nbsp;Force launching GUI dialog

=== "Python (grass.script)"

    **verbose**: bool, *optional*  
    &nbsp;&nbsp;&nbsp;&nbsp;Verbose module output  
    &nbsp;&nbsp;&nbsp;&nbsp;Default: *False*  
    **quiet**: bool, *optional*  
    &nbsp;&nbsp;&nbsp;&nbsp;Quiet module output  
    &nbsp;&nbsp;&nbsp;&nbsp;Default: *False*  
    **superquiet**: bool, *optional*  
    &nbsp;&nbsp;&nbsp;&nbsp;Very quiet module output  
    &nbsp;&nbsp;&nbsp;&nbsp;Default: *False*

## DESCRIPTION

*v.build.all* runs *[v.build](v.build.md)* for all vectors in the
current mapset.

### Example

```sh
# rebuild topology for all vector maps in the current mapset
v.build.all
```

## AUTHOR

Radim Blazek

## SOURCE CODE

Available at: [v.build.all source code](https://github.com/OSGeo/grass/tree/main/scripts/v.build.all)
([history](https://github.com/OSGeo/grass/commits/main/scripts/v.build.all))  
Latest change: Friday Feb 07 19:16:09 2025 in commit [a82a39f](https://github.com/OSGeo/grass/commit/a82a39f673b97fafcfce1604dc3e6015cb96487a)
